<template>
	<view class="cmain">
		<view class="form_group">
			<view class="lable re">名称</view>
			<input type="text" placeholder="请输入" v-model="item.typeCode" />
		</view>
		<view class="form_group">
			<view class="lable re">税号</view>
			<input type="text" placeholder="请输入" v-model="item.typeCode" />
		</view>
		<view class="form_group">
			<view class="lable re">法人姓名</view>
			<input type="text" placeholder="请输入" v-model="item.typeCode" />
		</view>
		<view class="form_group">
			<view class="lable re">法人身份证</view>
			<input type="text" placeholder="请输入" v-model="item.typeCode" />
		</view>
		<view class="form_group">
			<view class="lable re">联系号码</view>
			<input type="text" placeholder="请输入" v-model="item.typeCode" />
		</view>
		<view class="form_group">
			<view class="lable re">开户行</view>
			<input type="text" placeholder="请输入" v-model="item.typeCode" />
		</view>
		<view class="form_group">
			<view class="lable re">银行账号</view>
			<input type="text" placeholder="请输入" v-model="item.typeCode" />
		</view>
		<view class="form_group">
			<view class="lable re">营业执照</view>
			<card v-model="item.pic" pic="../../static/images/yyzz.png"></card>
		</view>
		<button class="btn" @click="save()">提交审核</button>
	</view>
</template>

<script>
export default {
	data() {
		return {
			item: {}
		};
	},
	onLoad(e) {},
	methods: {
		save() {
			let rule = [
				{ name: 'typeCode', checkType: 'notnull', errorMsg: '请输入编码' },
				{ name: 'typeName', checkType: 'notnull', errorMsg: '请输入名称' },
				{ name: 'status', checkType: 'notnull', errorMsg: '请选择状态' }
			];
			if (!this.verify.check(this.item, rule)) {
				uni.showModal({ content: this.verify.error, showCancel: false });
				return false;
			}
			this.http.request({
				url: '/project/projectType',
				method:'POST',
				data: this.item,
				success: res => {
					uni.showToast({ title: '操作成功' });
					setTimeout(() => {
						uni.$emit('ctype');
						uni.navigateBack();
					}, 1000);
				}
			});
		}
	}
};
</script>

<style lang="scss">
.btn {
	margin-top: 25px;
}
</style>
